> For the complete documentation index, see [llms.txt](https://docs.autentique.com.br/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.autentique.com.br/api/mutations/create-signature-link.md).

# Create signature link

To create a signing link, use the following mutation:

```graphql
mutation{
  createLinkToSignature(
    public_id: "SIGNATURE_ID"
  ){
    short_link
  }
}
```

#### Parameters

* `public_id` parameter of the signature for which you want to generate the link.

{% hint style="warning" %}
This link is exclusive for the designed signer. Please, make sure to not share it with third parties.
{% endhint %}

#### Expected response:

```json
{
  "data": {
    "createLinkToSignature": {
      "short_link": "https://assina.ae/A9pQN40FuNc10Na8K8"
    }
  }
}
```

{% hint style="info" %}
If Altair doesn't help you integrate with the API, check out some examples of how to make these requests in other ways: <https://graphql.org/graphql-js/graphql-clients/>
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.autentique.com.br/api/mutations/create-signature-link.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
